import m from "mithril";
import { BaseButton } from "./BaseButton.js";
import { lang } from "../../../misc/LanguageViewModel.js";
export class LoginButton {
    view({ attrs }) {
        const label = lang.getMaybeLazy(attrs.label);
        return m(BaseButton, {
            label,
            text: label,
            // This makes the button appear "disabled" (grey color, no hover) when disabled is set to true
            class: `button-content border-radius ${attrs.disabled ? "button-bg" : `accent-bg`} full-width center plr-button flash ${attrs.class} `,
            onclick: attrs.onclick,
            disabled: attrs.disabled,
        });
    }
}
//# sourceMappingURL=LoginButton.js.map